#
# spec file for package libmikmod (Version 3.1.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs esound esound-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libmikmod
BuildRequires:  esound-devel
URL:            http://mikmod.raphnet.net/
License:        LGPL
Group:          System/Libraries
Obsoletes:      libmikmo
Provides:       libmikmo
PreReq:         %install_info_prereq
Autoreqprov:    on
Summary:        MikMod Sound Library
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        3.1.11
Release:        14.2
Source0:        libmikmod-%{version}.tar.bz2
Patch0:         libmikmod.diff
Patch1:         mikmod-64bit-fix.diff
Patch2:         libmikmod-m4-fix.dif
Patch3:         libmikmod-config-fix.dif
Patch4:         libmikmod-conftest_fix.diff

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files. It was originally written by Jean-Paul Mikkers
(MikMak) for DOS. It supports OSS /dev/dsp, ALSA, and Esound and can
also write wav files. Supported file formats include mod, stm, s3m,
mtm, xm, and it.



%debug_package
%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4

%build
libtoolize -f
autoreconf -f -i
export CFLAGS="%optflags"
%configure
  
make

%install
make DESTDIR=%buildroot install

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/mikmod.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mikmod.info.gz

%clean 
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING.LIB NEWS TODO COPYING.LESSER
%{_bindir}/*
%{_includedir}/*
%doc %{_mandir}/man1/*
%doc %{_infodir}/mikmod*
/%{_libdir}/libmikmod.*
%{_datadir}/aclocal/libmikmod.m4

%changelog -n libmikmod
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 04 2005 - ltinkl@suse.cz
- update to 3.1.11
* Thu Sep 08 2005 - pth@suse.de
- Fix libmikmod-config for real (#96912)
* Tue Sep 06 2005 - jpr@suse.de
- Make sure libmikmod-config reports libdir correctly on all
  architectures (96912)
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Mar 04 2004 - tiwai@suse.de
- fixed m4 file for the recent autoconf.
* Sat Feb 07 2004 - adrian@suse.de
- fix some autoconf issues
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 14 2003 - adrian@suse.de
- fix info file name
* Thu Feb 13 2003 - adrian@suse.de
- add %%install_info section
* Tue Aug 20 2002 - tiwai@suse.de
- fixed the detection of 64bit architectures [bug #18106]
* Tue Aug 06 2002 - adrian@suse.de
- add %%run_ldconfig
* Tue Jun 04 2002 - ro@suse.de
- fix file list
* Fri May 31 2002 - adrian@suse.de
- update to version 3.1.10
- renamed libmikmo -> libmikmod
- fix for lib64 and ppc64
- add esd support
- add alsa support
- use buildroot
* Sat Nov 04 2000 - kukuk@suse.de
- use new long package names
* Wed Jun 21 2000 - schwab@suse.de
- Add %%suse_update_config.
* Sun Jun 18 2000 - adrian@suse.de
- fixed man path
* Fri Jun 16 2000 - adrian@suse.de
- update to 3.1.9
* Fri Jun 02 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Thu Mar 02 2000 - uli@suse.de
- moved info files to %%{_infodir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - kettner@suse.de
- New version 3.1.7
* Fri May 07 1999 - kettner@suse.de
- Install additional include files for kmikmod
* Thu May 06 1999 - kettner@suse.de
- Spec file created from libmikmod-3.1.6.tar.gz by autospec
